Cyberduck Mountain Duck CLI

#7653 closed defect (fixed)

Workflow when uploading duplicately-named folders

Reported by: jeremy meyers Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: interface Version: 4.4.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

When I upload a folder from my local drive that has the same name as a folder that already exists on the server, the workflow is very confusing (as it pops up the same dialog as when uploading FILES with the same names).

Might it be possible to add a "merge" option to the upload window, with the following function:

  • Upload files that don't currently exist in the folders
  • Ignore current content of server-side folders otherwise

Attachments (1)

Screenshot 2013-11-29 14.09.24.jpg (325.2 KB) - added by jeremy meyers on Nov 29, 2013 at 7:10:19 PM.
Screenshot of current options. Does "Resume" do what i want?

Download all attachments as: .zip

Change History (5)

Changed on Nov 29, 2013 at 7:10:19 PM by jeremy meyers

Screenshot of current options. Does "Resume" do what i want?

comment:1 follow-up: Changed on Dec 2, 2013 at 10:24:35 PM by dkocher

  • Component changed from core to interface
  • Milestone set to 4.5
  • Owner set to dkocher

That would be the Skip option in the transfer prompt.

comment:2 in reply to: ↑ 1 Changed on Dec 2, 2013 at 10:27:12 PM by jeremy meyers

Replying to dkocher:

That would be the Skip option in the transfer prompt.

I believe that "skip", rather then adding new files, skips any transfers of files from a similarly-named folder, regardless of contents. That's been my experience, anyway

comment:3 Changed on Apr 5, 2014 at 7:09:27 PM by dkocher

  • Milestone changed from 4.5 to 4.4.4
  • Status changed from new to assigned

comment:4 Changed on Apr 7, 2014 at 9:26:42 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r14449. The skip option now only applies to files but not folders.

Note: See TracTickets for help on using tickets.
swiss made software